### Function

# WPEJavaScriptCore OptionsFunc

since: 2.24

#### Declaration

    gboolean
    (* JSCOptionsFunc) (
      const char* option,
      JSCOptionType type,
      const char* description,
      gpointer user_data
    )

#### Description [src]

Function used to iterate options.

Not that `description` string is not localized.

Available since: 2.24

#### Parameters

`option`

  Type: `const char*`

  The option name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `JSCOptionType`

  The option `JSCOptionType`.

`description`

  Type: `const char*`

  The option description, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop the iteration, or `FALSE` otherwise.